#!/bin/bash

color() {
  local color="$1"
  local message="$(cat /dev/stdin)"

  echo "<span style=\"color:${color};\">${message}</span>"
}

system-image() {
  local color="$1"
  local url="$2"
  local imageRendering="${3:-auto}"
  local altText="$(cat /dev/stdin)"

  echo "<img src=\"${url}\" alt=\"${altText}\" style=\"image-rendering:${imageRendering};width:150px;height:150px;border:${color} solid;border-width:0 5px 5px 0;\" />"
}

cmd="$1"
shift
$cmd $@